# properties file read by WSA servlets to initiate parameters

# the SQL server to connect to
server=thutmose

# the SQL server with WFCAMpropriety
proprietyServer=thutmose

# the default UKIDSS database name
defaultUKIDSSDatabase=ukidssdr5plus

# the default World database name
defaultWorldDatabase=worldr2

WSACGIDIRURL=http://surveys.roe.ac.uk/~mar/cgi-bin/
LISTCGIDIRURL=http://horus.roe.ac.uk:8080/UKIDSSphotometry/

# specific to WSASQL

WSASQLTmpDir=/thoth/www/wsa/tmp/
LISTSQLTmpDir=/disk07/wsa/ui/wsa/tmp/
WSASQLTmpWeb=http://surveys.roe.ac.uk/wsa/tmp/
WSASQLTmpCrossID=/thoth/www/wsa/tmp/crossID/

# specific to MultiGetImage

MGIBASESQL_SELECT=objnum,userra,userdec,mf.multiframeID,mf.frametype,mf.obstype,mfd.filterid,f.shortname,mf.dateObs,mfd.extNum,mf.filename,mfd.axis1Length,mfd.axis2Length,ca.cTypeX,ca.cTypeY,ca.crValX,ca.crValY,ca.crPixX,ca.crPixY,ca.pv21 as projP1,ca.pv23 as projP3,ca.cd11,ca.cd12,ca.cd22,ca.cd21,ca.xpixsize,ca.ypixsize
MGIBASESQL_FROM=#upMultiGetImage,Multiframe as mf, multiframeDetector as mfd, currentAstrometry as ca,filter as f
MGIBASESQL_WHERE= mf.multiframeId=mfd.multiframeId and mf.multiframeId=ca.multiframeId and mfd.extNum=ca.extNum and f.filterid=mf.filterid and ((userra >= minRA and userra <= maxRA) or (userra + 360.0 >= minRA and userra + 360.0 <= maxRA)) and ( userdec >= minDec and userdec <= maxDec) 
MGItmpSpace=/thoth/www/wsa/tmp/MultiGetImage/
MGIwebURL=http://surveys.roe.ac.uk/wsa/


listTmpSpace=/disk07/wsa/ui/wsa/tmp/ListDriven/
listWebURL=http://horus.roe.ac.uk/wsa/

# specific to ImageList
ImageListSelect= substring(compfile,1, len(compfile)-charindex('_',reverse(compfile))) as jpegBase,M.multiframeID,frameType,obstype,raBase,decBase,shortname,exptime,filename,catname,ukirtRunNo,dateObs,project,numDetectors
#,(P.propPeriod - DATEDIFF(MONTH, M.dateEnd, GETUTCDATE())) as toGo
ImageListSelectAll= substring(compfile,1, len(compfile)-charindex('_',reverse(compfile))) as jpegBase,m.*
ImageListFrom=Multiframe as M, ProgrammeFrame as PF, filter as F, Programme as P, multiframedetector as mfd  
ImageListWhere=PF.multiframeID = M.multiframeID and F.filterid=M.filterid and PF.programmeID=P.programmeID and M.multiframeID=mfd.multiframeID
ImageListOrderBy= order by dateObs asc, ukirtrunno asc
ImageListDateParameter=dateObs


tempPath=/thoth/www/wsa/tmp/
progPath=/home/mar/webprogs/
tempURL=http://surveys.roe.ac.uk/wsa/tmp/
filePrefix=/home/mar/scratch/fits

# specific to GetImage
COLOURCGIDIRURL = http://horus.roe.ac.uk/wsa/cgi-bin/
GetImageBASESQL_SELECT=SELECT distinct mf.multiframeID,mf.frametype,mf.obstype,mf.filterid,f.shortname,mf.dateObs,mfd.extNum,mf.filename,mfd.axis1Length,mfd.axis2Length,ca.cTypeX,ca.cTypeY,ca.crValX,ca.crValY,ca.crPixX,ca.crPixY,ca.pv21 as projP1,ca.pv23 as projP3,ca.cd11,ca.cd12,ca.cd22,ca.cd21,ca.xpixsize,ca.ypixsize
GetImageBASESQL_FROM=from  currentAstrometry as ca, Multiframe as mf, multiframeDetector as mfd, filter as f
GetImageBASESQL_WHERE=where mf.multiframeId=mfd.multiframeId and mf.multiframeId=ca.multiframeId and mfd.extNum=ca.extNum and f.filterid=mf.filterid and mf.filename != 'NONE'
photomTempPath=/disk07/wsa/ui/wsa/tmp/getImage
colourTempPath=/disk07/wsa/ui/wsa/tmp/getImage
GetImageTempPath=/thoth/www/wsa/tmp/
GetImageProgPath=/home/mar/webprogs/
GetImageTempURL=http://surveys.roe.ac.uk/wsa/tmp/
GetImageFilePrefix=

# specific to DBLogin

DBLoginUser=userAdmin
DBLoginPasswd=userAdminpw
DBLoginDatabase=usernames
preReleaseUser=preReleaseUser
preReleasePasswd=thoth737

pool.logfile=/thoth/www/wsa/tmp/logfile.txt
mar@roe.ac.uk=oxton:UKIDSStester
wsa@roe.ac.uk=Lockman:UKIDSStester
sjw4@imperial.ac.uk=sctoemvm:UKIDSStester
alastair.edge@durham.ac.uk=acloamsm:UKIDSStester
pwl@star.herts.ac.uk=pchoimlm:UKIDSStester
rfj@star.le.ac.uk=rciocmhm:UKIDSStester
omar.almaini@nottingham.ac.uk=ocmoamrm:UKIDSStester
simon.dye@astro.cf.ac.uk=sciommom:UKIDSStester
sth@ast.cam.ac.uk=sciommom:UKIDSStester
clewley@astro.ox.ac.uk=lcsciver:UKIDSStester
gbd@astro.ox.ac.uk=gdsciver:UKIDSStester
foucaud@mi.iasf.cnr.it=sfsciver:UKIDSStester
cwolf@astro.ox.ac.uk=cwsciver:UKIDSStester
chris.simpson@durham.ac.uk=cssciver:UKIDSStester
eglez@ast.cam.ac.uk=egsciver:UKIDSStester
mgh@ast.leeds.ac.uk=mhsciver:UKIDSStester
m.jarvis1@physics.ox.ac.uk=mjsciver:UKIDSStester
trk@star.herts.ac.uk=tksciver:UKIDSStester
al@roe.ac.uk=alsciver:UKIDSStester
nl41@star.le.ac.uk=nlsciver:UKIDSStester
ajl@roe.ac.uk=alsciver:UKIDSStester
J.Loveday@susx.ac.uk=jlsciver:UKIDSStester
rgm@ast.cam.ac.uk=rmsciver:UKIDSStester
bob.nichol@port.ac.uk=rnsciver:UKIDSStester
S.Oliver@sussex.ac.uk=sosciver:UKIDSStester
S.Phillipps@bris.ac.uk=spsciver:UKIDSStester
dpi@star.herts.ac.uk=dpsciver:UKIDSStester
s.rawlings1@physics.ox.ac.uk=srsciver:UKIDSStester
acs@star.le.ac.uk=assciver:UKIDSStester
a.j.smith@sussex.ac.uk=assciver:UKIDSStester
dsmith@astro.ox..ac.uk=dssciver:UKIDSStester
cvb@astro.ox.ac.uk=cbsciver:UKIDSStester
verma@mpe.mpg.de=avsciver:UKIDSStester
David.Wake@port.ac.uk=dwsciver:UKIDSStester
sjw98@imperial.ac.uk=swsciver:UKIDSStester



# probably deprecated
user=wsaro
passwd=wsaropw
database=ukidssr2
pool.logfile=/thoth/www/wsa/tmp/logfile.txt
